const Model = require('flitter-orm/src/model/Model')

/*
 * Example Model
 * -------------------------------------------------------------
 * This is a sample model. The schema or structure of the model should
 * be specified here. It is then passed to flitter-orm and can be accessed
 * globally using the canonical models service.
 */
class Example extends Model {
    static get services() {
        return [...super.services, 'output']
    }

    /**
     * Define the flitter-orm schema of the model.
     * @returns {object}
     */
    static get schema() {
        return {
            Name: String,
            CreateDate: {type: Date, default: () => new Date},
        }
    }

    log_name() {
        this.output.info(`[Example Model] ${this.name}`)
    }
}

module.exports = exports = Example
